package com.sun.xml.internal.ws.api.pipe;

import java.util.Map;

public abstract class PipeCloner extends TubeCloner
{
    public static Pipe clone(Pipe p) {
        return new PipeClonerImpl().copy(p);
    }
    
    PipeCloner(Map<Object, Object> master2copy) {
        super(master2copy);
    }
    
    public abstract <T extends Pipe> T copy(T p0);
    
    public abstract void add(Pipe p0, Pipe p1);
}
